# $Revision: 1.10 $, $Date: 2006/01/13 20:14:02 $
Summary:	PAM module for Ruby
Summary(pl):	Modu PAM dla jzyka Ruby
Name:		ruby-PAM
Version:	1.5.2
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/ruby-pam/ruby-pam-%{version}.tar.gz
# Source0-md5:	bf61416ddc429600812b7452f16b1c7b
URL:		http://ruby-pam.sourceforge.net/ruby-pam.html
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	pam-devel
BuildRequires:	ruby-devel
Obsoletes:	ruby-pam
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby/PAM (aka ruby-pam) is an extension library which provides the
interface to PAM APIs.

%description -l pl
Ruby/PAM (zwany te ruby-pam) to biblioteka rozszerzajca jzyk Ruby
udostpniajca interfejs do API PAM.

%prep
%setup -q -n ruby-pam-%{version}

%build
ruby extconf.rb
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{ruby_sitearchdir}

install pam.so $RPM_BUILD_ROOT%{ruby_sitearchdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{ruby_sitearchdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-PAM.spec,v $
Revision 1.10  2006/01/13 20:14:02  arekm
- rel 2

Revision 1.9  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.8  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2004/12/17 17:19:49  darekr
- updated to 1.5.2
- removed README.html from %doc

Revision 1.5  2004/08/26 18:40:08  qboosh
- Name differs from tarball name now

Revision 1.4  2004/08/26 18:38:23  qboosh
- updated Name and added Obsoletes after spec rename

Revision 1.3  2004/08/19 11:29:20  undefine
- release 3

Revision 1.2  2003/11/27 11:20:31  qboosh
- pl, longer description, use optflags; release 2

Revision 1.1  2003/11/17 17:34:51  aredridel
- added
